std::move_sentinel::operator=(3)

NAME
std::move_sentinel::operator= - std::move_sentinel::operator=

Synopsis
   template<class S2>
   requires std::assignable_from<S&, const S2&> (since C++20)
   constexpr move_sentinel& operator=(const std::move_sentinel<S2>&
   other);
   The underlying sentinel is assigned the value of the underlying sentinel of other,
   i.e. other.base().

Parameters
   other - sentinel adaptor to assign

Return value
   *this

Example
    This section is incomplete
    Reason: no example

See also
   operator= assigns another iterator adaptor
   (C++11) (public member function of std::move_iterator<Iter>)